> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/ida-9.3/core/disassembler/disassembly-gallery/sparc-solaris-coff.md).

# SPARC Solaris COFF

Assembler code

```
.text:0000010C ! ---------------------------------------------------------------------------
.text:0000010C
.text:0000010C loc_10C:                                ! CODE XREF: disassemble+A0↑j
.text:0000010C                                         ! DATA XREF: disassemble:jpt_E4↑o
.text:0000010C                 ld      [%fp+var_18], %o0 ! jumptable 000000E4 case 0
.text:00000110                 set     0x3FFFFF, %o1
.text:00000118                 and     %o0, %o1, %o0
.text:0000011C                 st      %o0, [%fp+var_24]
.text:00000120                 ld      [%fp+var_18], %o0
.text:00000124                 set     0x3FFFFF, %o1
.text:0000012C                 and     %o0, %o1, %o0
.text:00000130                 st      %o0, [%fp+var_28]
.text:00000134                 set     aUnimp, %o0     ! "UNIMP"
.text:0000013C                 st      %o0, [%fp+var_2C]
.text:00000140                 ld      [%fp+var_28], %o0
.text:00000144                 call    lookup
.text:00000148                 nop
.text:0000014C                 mov     %o0, %o2
.text:00000150                 set     aSS, %o0        ! "%s %s\n"
.text:00000158                 ld      [%fp+var_2C], %o1
.text:0000015C                 call    printf
.text:00000160                 nop
.text:00000164                 ba      loc_704
.text:00000168                 nop
.text:0000016C ! ---------------------------------------------------------------------------
.text:0000016C
.text:0000016C loc_16C:                                ! CODE XREF: disassemble+A0↑j
.text:0000016C                                         ! DATA XREF: disassemble:jpt_E4↑o
.text:0000016C                 set     aSomeInst, %o0  ! jumptable 000000E4 cases 1,3,5
.text:00000174                 call    printf
.text:00000178                 nop
.text:0000017C                 ba      loc_704
.text:00000180                 nop
.text:00000184 ! ---------------------------------------------------------------------------
.text:00000184
.text:00000184 loc_184:                                ! CODE XREF: disassemble+A0↑j
.text:00000184                                         ! DATA XREF: disassemble:jpt_E4↑o
.text:00000184                 ld      [%fp+var_18], %o1 ! jumptable 000000E4 case 2

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hex-rays.com/ida-9.3/core/disassembler/disassembly-gallery/sparc-solaris-coff.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
